EUCA-DESCRIBE-NETWORK-ACLS(1)

NAME
euca-describe-network-acls - Describe one or more network ACLs

SYNOPSIS
euca-describe-network-acls [--show-empty-fields] [-U URL]

[--region USER@REGION] [-I KEY_ID] [-S KEY]
    [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [NACL [NACL ...]]

DESCRIPTION
Describe one or more network ACLs

  positional arguments:

NACL
    limit results to one or more network ACLs

  optional arguments:

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:

association.association-id
    ID of an association ID for a network ACL

association.network-acl-id
    ID of the network ACL involved in an association

association.subnet-id
    ID of the subnet involved in an association

default
    whether the network ACL is the default for its VPC

entry.cidr
    CIDR range for a network ACL entry

entry.egress
    whether an entry applies to egress traffic

entry.icmp.code
    ICMP code for a network ACL entry

entry.icmp.type
    ICMP type for a network ACL entry

entry.port-range.from
    start of the port range for a network ACL entry

entry.port-range.to
    end of the port range for a network ACL entry

entry.protocol
    protocol for a network ACL entry

entry.rule-action
    whether a network ACL entry allows or denies traffic

entry.rule-number
    rule number of a network ACL entry network-acl-id tag-key key of a tag assigned to the network ACL tag-value value of a tag assigned to the network ACL tag:KEY specific tag key/value combination vpc-id the VPC's ID